<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <header>
        <nav>
            <ul>
                {% if user.is_authenticated %}
                    <li><a href="{% url "home" %}">Home Page</a></li>
                    <li><a href="{% url "create_receipt" %}">Create Receipt</a></li>
                    <li><a href="{% url "category_list" %}">Categories</a></li>
                    <li><a href="{% url "create_category" %}">Create a category</a></li>
                    <li><a href="{% url "account_list" %}">Accounts</a></li>
                    <li><a href="{% url "create_account" %}">Create an Account</a></li>
                    <li><a href="{% url "logout" %}">Logout</a></li>
                {% else %}
                    <li><a href="{% url "Signup" %}">Sign Up</a></li>
                    <li><a href="{% url "login" %}">Login</a></li>
                {% endif %}
            </ul>
        </nav>
    </header>
    <main>
        <table border = "1">
            <thead>
                <tr>
                    <th>Name</th>
                    <th>Number of Receipts</th>
                </tr>
            </thead>
            <tbody>
                {% for category in category_data %}
                    <tr>
                        <td>{{ category.name }}</td>
                        <td>{{ category.receipt_count}}</td>
                    </tr>
                {% endfor %}
            </tbody>
        </table>
    </main>

</body>
</html>
